Subject: Re: [PATCH] Qlogic qla3xxx driver v2.02.00-k36 for upstream inclusion.

From: Jeff Garzik <[email-masked]>
Date: Wed, 19 Jul 2006 16:41:09 -0400

Ron Mercer wrote:
>  
> Andrew,
> 
> Attached is a patch to the qla3xxx driver in your -mm test kernel.  This 
> patch makes the following changes:
> 
> -Removed potential infinite loop in ql_sem_spinlock().
> -Relaxed hardware locking granularity.
> -Fixed irq_request() where shared flag was used in MSI environment.
> -Removed queue containing TX control blocks. This resource has a one to 
> one  correspondence to each entry in the TX queue.
> -Removed unnecessary tx_lock.
> -Changed version to v2.02.00-k36.
> 
> The above changes plus the changes from the k35 patch address Jeff 
> Garzik's concerns from his response. His response can be reviewed at 
> this URL:
> 
> http://marc.theaimsgroup.com/?l=linux-netdev&m=115101855424635&w=2 
> <http://marc.theaimsgroup.com/?l=linux-netdev&m=115101855424635&w=2>
> 
> 
> 
> This driver has been through several iterations on the netdev list and 
> we feel this driver is ready for inclusion in the upstream kernel.

Send me a patch via private email (for size reasons), include a proper 
Signed-off-by line per http://linux.yyz.us/patch-format.html and I will 
merge this driver straightaway.

	Jeff